/*
 * Component Header
 * Componente header en el sitio web
 */

.header {
    position: relative;
    width: 100%;
    height: 350px;
    display: flex;
    flex-direction: column;
}

.header-video {
    position: relative;
    width: 100%;
    height: 100%;
    box-sizing: border-box;
    overflow: none;
}

.header-video img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.header h1 {
    position: absolute;
    color: #000000;
    font-size: 30px;
    bottom: 40%;
    left: 50%;
    transform: translateX(-50%);
    font-weight: bold;
}

.header p {
    position: absolute;
    color: #000000;
    font-size: 20px;
    bottom: 10%;
    left: 50%;
    transform: translateX(-50%);
    font-weight: bold;
}

@media screen and (max-width: 768px) {
    .header h1 {
        position: absolute;
        color: #000000;
        font-size: 18px;
        bottom: 50%;
        left: 50%;
        transform: translateX(-50%);
        font-weight: bold;
    }

    .header {
        position: relative;
        height: 12vh !important;
        display: flex;
        flex-direction: column;
        margin-top: 70px;
    }

    .header-video {
        position: relative;
        width: 100%;
        height: 100%;
        box-sizing: border-box;
        overflow: none;
        background-color: #75ddd8;
    }

    .header-video img {
        width: 100%;
        height: 100%;
        object-fit: cover;
    }

    .header p {
        position: absolute;
        color: #404748;
        font-size: 15px;
        bottom: 9%;
        left: 50%;
        width: 100%;
        transform: translateX(-50%);
        font-weight: bold;
    }
}

@media screen and (max-width: 800px) {
    .square-txt {
        width: 100%;
        font-size: 8px;
        padding: 12px;
        bottom: 0;
    }
}

@media screen and (max-width: 560px) {
    .square-txt {
        width: 100%;
        font-size: 6px;
        padding: 12px;
        bottom: 0;
    }
}

@media screen and (max-width: 400px) {
    .square-txt {
        width: 100%;
        font-size: 5px;
        padding: 10px;
        bottom: 0;
    }
}
